Bug 1796145 - Review Request: commoncpp2 - GNU Common C++ class framework
Summary: Review Request: commoncpp2 - GNU Common C++ class framework
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-29 17:28 UTC by Sandro Mani
Modified: 2020-02-05 14:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-05 14:30:00 UTC
Type: ---
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2020-01-29 17:28:58 UTC
Spec URL: https://smani.fedorapeople.org/review/commoncpp2.spec
SRPM URL: https://smani.fedorapeople.org/review/commoncpp2-1.8.1-19.fc32.src.rpm
Description: GNU Common C++ class framework
Fedora Account System Username: smani


Review to revive the dead package - it is needed for ccrtp.

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=41207935

Comment 1 Jerry James 2020-02-03 16:44:12 UTC
I will take this review.  Can you take bug 1796711?

Comment 2 Jerry James 2020-02-03 18:16:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 15329280 bytes in 605 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation

- The license situation is more complex than indicated.  First, the main license
  appears to be "GPLv2+ with exceptions" rather than "GPLv2 with exceptions";
  see the boilerplate text at the top of the files in inc/cc++.  The "any later
  version" text is included.

  Some glibc files are included, licensed as LGPLv2+.  See src/getopt*.  Perhaps
  they do not get compiled into the final library, though.  Please check that.

  The texinfo documentation is licensed with the GNU Free Documentation License
  (GFDL): see doc/fdl.texi and doc/fdlnotice.texi.

- Unless you are going to build for EPEL, %ldconfig_scriptlets can be
  omitted.

- Please add %{?_isa} to the libxml2-devel and zlib-devel Requires in the
  devel subpackage.

- Regarding the bug fixed in commoncpp2-inaddr.patch, a similar bug is caught
  by the compiler in another place.  See this in the build log:

socket.cpp: In member function 'ost::Socket::Error ost::UDPSocket::join(const ost::IPV4Multicast&, int)':
socket.cpp:1563:50: warning: argument to 'sizeof' in 'void* memcpy(void*, const void*, size_t)' call is the same pointer type 'in_addr*' as the destination; expected 'in_addr' or an explicit length [-Wsizeof-pointer-memaccess]
 1563 |     memcpy(&group.imr_address, &myaddr.sin_addr, sizeof(&myaddr.sin_addr));
      |                                                  ^~~~~~~~~~~~~~~~~~~~~~~~

  The "&" should be removed from the sizeof operator's argument.

- Consider adding a %check script

- Please see the missing-call-to-setgroups-before-setuid rpmlint warning.  I
  realize that upstream is dead, but this should be patched.

- The mixed-use-of-spaces-and-tabs rpmlint warning should be easy to clear up.
  Just changes the tabs on lines 54 and 55 to spaces.

- The unused-direct-shlib-dependency warnings indicate that this project suffers
  the same problem as all libtool-based project; libtool helpfully rearranges
  the linker flags so that -Wl,--as-needed appears *after* all of the libraries.
  This bug has been known about for a really long time, yet the libtool
  developers haven't fixed it.  Thanks, libtool!  I like to use this snippet
  in my spec files, placed between %configure and %make_build:

# Get rid of undesirable hardcoded rpaths; workaround libtool reordering
# -Wl,--as-needed after all the libraries.
sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    -e 's|CC="\(g..\)"|CC="\1 -Wl,--as-needed"|' \
    -i libtool

- The obsolete m4 warnings can be fixed by making the following changes to
  configure.ac:
  Replace AM_PROG_LIBTOOL with LT_INIT()
  Replace AM_CONFIG_HEADER(config.h) with AC_CONFIG_HEADERS([config.h])

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "GPL (v3 or later)",
     "GPL (v2 or later) (with incorrect FSF address)", "*No copyright* GPL
     (v2 or later) (with incorrect FSF address)", "GNU Free Documentation
     License (v1.2 or later)", "GNU Free Documentation License", "*No
     copyright* GNU Free Documentation License (v1.2 or later)", "FSF
     Unlimited License (with Retention) GPL (v2 or later)", "FSF Unlimited
     License (with Retention)", "GNU Lesser General Public License (v2.1 or
     later)". 153 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 15790080 bytes in /usr/share
     commoncpp2-devel-1.8.1-19.fc32.x86_64.rpm:15718400
     See:
     https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: commoncpp2-1.8.1-19.fc32.x86_64.rpm
          commoncpp2-devel-1.8.1-19.fc32.x86_64.rpm
          commoncpp2-debuginfo-1.8.1-19.fc32.x86_64.rpm
          commoncpp2-debugsource-1.8.1-19.fc32.x86_64.rpm
          commoncpp2-1.8.1-19.fc32.src.rpm
commoncpp2.x86_64: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
commoncpp2.x86_64: E: missing-call-to-setgroups-before-setuid /usr/lib64/libccgnu2-1.8.so.0.0.1
commoncpp2.x86_64: E: incorrect-fsf-address /usr/share/licenses/commoncpp2/COPYING
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/address.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/applog.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/buffer.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/cmdoptns.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/common.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/counter.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/digest.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/exception.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/export.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/file.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/functions.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/mime.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/misc.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/missing.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/network.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/numbers.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/objcount.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/object.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/objlink.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/objmap.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/objsync.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/oststring.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/persist.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/pointer.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/process.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/serial.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/slog.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/socket.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/socketport.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/strchar.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/string.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/template.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/thread.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/tokenizer.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/unix.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/url.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/xml.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/zstream.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/share/aclocal/ost_check2.m4
commoncpp2-devel.x86_64: W: no-manual-page-for-binary ccgnu2-config
commoncpp2.src: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
commoncpp2.src:54: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 54)
5 packages and 0 specfiles checked; 41 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: commoncpp2-debuginfo-1.8.1-19.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
commoncpp2.x86_64: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
commoncpp2.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libccext2-1.8.so.0.0.1 /lib64/librt.so.1
commoncpp2.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libccext2-1.8.so.0.0.1 /lib64/libdl.so.2
commoncpp2.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libccext2-1.8.so.0.0.1 /lib64/libm.so.6
commoncpp2.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libccgnu2-1.8.so.0.0.1 /lib64/librt.so.1
commoncpp2.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libccgnu2-1.8.so.0.0.1 /lib64/libm.so.6
commoncpp2.x86_64: E: missing-call-to-setgroups-before-setuid /usr/lib64/libccgnu2-1.8.so.0.0.1
commoncpp2.x86_64: E: incorrect-fsf-address /usr/share/licenses/commoncpp2/COPYING
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/address.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/applog.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/buffer.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/cmdoptns.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/common.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/counter.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/digest.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/exception.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/export.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/file.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/functions.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/mime.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/misc.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/missing.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/network.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/numbers.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/objcount.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/object.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/objlink.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/objmap.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/objsync.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/oststring.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/persist.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/pointer.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/process.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/serial.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/slog.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/socket.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/socketport.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/strchar.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/string.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/template.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/thread.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/tokenizer.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/unix.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/url.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/xml.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/include/cc++/zstream.h
commoncpp2-devel.x86_64: E: incorrect-fsf-address /usr/share/aclocal/ost_check2.m4
commoncpp2-devel.x86_64: W: no-manual-page-for-binary ccgnu2-config
4 packages and 0 specfiles checked; 41 errors, 7 warnings.



Source checksums
----------------
https://ftp.gnu.org/gnu/commoncpp/commoncpp2-1.8.1.tar.gz :
  CHECKSUM(SHA256) this package     : 53ced4aff74e28a1d8018eb2b4974519028db3c12471ab6dff1c873578c9af4e
  CHECKSUM(SHA256) upstream package : 53ced4aff74e28a1d8018eb2b4974519028db3c12471ab6dff1c873578c9af4e


Requires
--------
commoncpp2 (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libccgnu2-1.8.so.0()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

commoncpp2-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    /usr/bin/sh
    commoncpp2(x86-64)
    libccext2-1.8.so.0()(64bit)
    libccgnu2-1.8.so.0()(64bit)
    libxml2-devel
    pkgconfig(libccgnu2)
    zlib-devel

commoncpp2-debuginfo (rpmlib, GLIBC filtered):

commoncpp2-debugsource (rpmlib, GLIBC filtered):



Provides
--------
commoncpp2:
    commoncpp2
    commoncpp2(x86-64)
    libccext2-1.8.so.0()(64bit)
    libccgnu2-1.8.so.0()(64bit)

commoncpp2-devel:
    commoncpp2-devel
    commoncpp2-devel(x86-64)
    pkgconfig(libccext2)
    pkgconfig(libccgnu2)

commoncpp2-debuginfo:
    commoncpp2-debuginfo
    commoncpp2-debuginfo(x86-64)
    debuginfo(build-id)

commoncpp2-debugsource:
    commoncpp2-debugsource
    commoncpp2-debugsource(x86-64)



AutoTools: Obsoleted m4s found
------------------------------
  AM_PROG_LIBTOOL found in: commoncpp2-1.8.1/configure.ac:92
  AM_CONFIG_HEADER found in: commoncpp2-1.8.1/configure.ac:94


Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1796145 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Ruby, Java, R, Haskell, PHP, Perl, SugarActivity, fonts, Python, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Sandro Mani 2020-02-04 11:58:36 UTC
Spec URL: https://smani.fedorapeople.org/review/commoncpp2.spec
SRPM URL: https://smani.fedorapeople.org/review/commoncpp2-1.8.1-20.fc32.src.rpm

%changelog
* Tue Feb 04 2020 Sandro Mani <manisandro@gmail.com> - 1.8.1-20
- Split off documentation
- Clarify license
- Drop ldconfig_scriptlets
- Add %%{?_isa} to Requires
- Patch another incorrect sizeof usage
- Build tests, add %%check (disabled with comment though)
- Patch setuid not preceded by setgroups call
- Fix unused direct dependencies
- Fix obsolete m4 macros

Comment 4 Jerry James 2020-02-04 20:12:11 UTC
Much better!  However, there is no "%files doc", and the HTML documentation is still in the devel subpackage.

Regarding the license, the main package should just be "GPLv2+ with exceptions".  It is the devel subpackage, which contains the info files, that needs the "and GFDL".  Unless you move the info files to the doc subpackage, that is, in which case the doc package needs the conjoined license names.

I can well believe that the thread1 test hangs.  It looks like it probably isn't really hanging, but it could take up to 2000 seconds (more than half an hour) to finish.  It isn't a very well written test.  What do you think about simply removing thread1 from the lists of tests in tests/dotests.sh?  That way the other tests could be run.

Comment 5 Sandro Mani 2020-02-04 23:04:19 UTC
Facepalm, that was a bit sloppy on my part.

Spec URL: https://smani.fedorapeople.org/review/commoncpp2.spec
SRPM URL: https://smani.fedorapeople.org/review/commoncpp2-1.8.1-21.fc32.src.rpm

%changelog
* Wed Feb 05 2020 Sandro Mani <manisandro@gmail.com> - 1.8.1-21
- Actually add files to %%doc
- Only list GFDL license for %%doc subpackage
- Drop badly written thread1 test, enable remaining tests

Comment 6 Jerry James 2020-02-05 02:18:37 UTC
One more change: move the License field with "and GFDL" from the devel subpackage to the doc subpackage before you import.  This package is APPROVED.

Comment 7 Sandro Mani 2020-02-05 10:00:42 UTC
Ups, yes will do! Many thanks for the thorough review!


Note You need to log in before you can comment on or make changes to this bug.